# 2. Upload a File Uploads a file. To upload a file you need to retrieve the slot ID using the /uploadmanager.newuploadslot (Create an Upload Slot) endpoint. Endpoint: POST /bdmanager.upload/{typedId}/{slotId} Security: basic, X-PriceFx-jwt ## Path parameters: - `typedId` (string, required) typedId of the document you want to attach the file to. - `slotId` (string, required) The ID of the slot you want to use for the upload. retrieve the slot ID using the /uploadmanager.newuploadslot (Create an Upload Slot) endpoint. ## Request fields (multipart/form-data): - `file` (string) A base64 encoded file data. ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.lastUpdateByName` (string,null) - `response.data.createdByName` (string) - `response.data.fileName` (string) - `response.data.typedId` (string) - `response.data.lastUpdateDate` (string,null) - `response.data.length` (integer) - `response.data.latestUploadStatusId` (integer) - `response.data.version` (integer) - `response.data.sender` (string,null) - `response.data.createdBy` (integer) - `response.data.recipients` (string,null) - `response.data.sentViaEmail` (boolean) - `response.data.userGroupEdit` (string,null) - `response.data.userGroupViewDetails` (string,null) - `response.data.contentType` (string) - `response.data.embeddedOwner` (string,null) - `response.data.createDate` (string) - `response.data.lastUpdateBy` (integer) - `response.status` (integer)